Test Class Reference

`#include <dcopidl_test.h>`

Inheritance diagram for Test:

## Public Types

enum | { Enum1, Enum2 }
enum | NamedEnum { Enum3, Enum4 }

## Public Member Functions

int | getPageOfObj (int obj)
void | setCell (KSpreadTable *table, const QPoint &point)
Public Member Functions inherited from DCOPObject
| DCOPObject ()
| DCOPObject (QObject *obj)
| DCOPObject (const QCString &objId)
virtual | ~DCOPObject ()
QCString | objId () const
bool | setObjId (const QCString &objId)
virtual bool | process (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)
virtual QCStringList | functionsDynamic ()
virtual QCStringList | interfacesDynamic ()
virtual QCStringList | interfaces ()
virtual QCStringList | functions ()
void | emitDCOPSignal (const QCString &signal, const QByteArray &data)
bool | connectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot, bool Volatile)
bool | disconnectDCOPSignal (const QCString &sender, const QCString &senderObj, const QCString &signal, const QCString &slot)
DCOPClient * | callingDcopClient ()
void | setCallingDcopClient (DCOPClient *)

## Public Attributes

SomeForwardFooPrivate * | d
k_dcop_signals | __pad0__: void blah_signal()

## Static Public Attributes

static const int | AUDIO_CD = 1
static const int | m_number0 [20]

## Additional Inherited Members

Static Public Member Functions inherited from DCOPObject
static bool | hasObject (const QCString &objId)
static DCOPObject * | find (const QCString &objId)
static QPtrList< DCOPObject > | match (const QCString &partialId)
static QCString | objectName (QObject *obj)
Protected Member Functions inherited from DCOPObject
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This is a stupid comment that might help geiseri at some point in the near future.

blah di blah

Definition at line 33 of file dcopidl_test.h.

## Member Function Documentation

int Test::getPageOfObj | ( | int | obj | ) |

a function comment

See also
  blah di blah also

The documentation for this class was generated from the following file:

- dcopidl_test.h

KDE Home | KDE Accessibility Home | Description of Access Keys